package com.ruoyi.ems.domain;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源设备对象 adm_ems_device
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmsDevice extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 设备代码
     */
    @Excel(name = "设备代码")
    private String deviceCode;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 设备分类
     */
    private String deviceCategory;

    /**
     * 设备类型名称
     */
    @Excel(name = "设备类别")
    private String deviceCategoryName;

    /**
     * 设备品牌
     */
    @Excel(name = "设备品牌")
    private String deviceBrand;

    /**
     * 设备型号
     */
    @Excel(name = "设备型号")
    private String deviceSpec;

    /**
     * 设备状态
     */
    @Excel(name = "设备状态")
    private Integer deviceStatus;

    /**
     * 安装位置
     */
    @Excel(name = "安装位置")
    private String location;

    /**
     * 归属区域代码
     */
    private String locationRef;

    /**
     * 归属区域名称
     */
    @Excel(name = "归属区域")
    private String locationRefName;

    /**
     * 区域代码
     */
    private String areaCode;

    /**
     * 归属区域路径
     */
    private String areaPath;

    /**
     * 归属设施代码
     */
    private String refFacs;

    /**
     * 归属设施名称
     */
    @Excel(name = "归属设施")
    private String refFacsName;

    /**
     * 归属子系统代码
     */
    private String subsystemCode;

    /**
     * 归属子系统名称
     */
    @Excel(name = "子系统")
    private String subsystemName;

    /**
     * 设备模型代码
     */
    private String deviceModel;

    /**
     * 设备模型名称
     */
    @Excel(name = "设备模型")
    private String deviceModelName;

    /**
     * 工艺标识代码
     */
    private String psCode;

    /**
     * 工艺标识名称
     */
    private String psName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public String getDeviceCategoryName() {
        return deviceCategoryName;
    }

    public void setDeviceCategoryName(String deviceCategoryName) {
        this.deviceCategoryName = deviceCategoryName;
    }

    public String getDeviceBrand() {
        return deviceBrand;
    }

    public void setDeviceBrand(String deviceBrand) {
        this.deviceBrand = deviceBrand;
    }

    public String getDeviceSpec() {
        return deviceSpec;
    }

    public void setDeviceSpec(String deviceSpec) {
        this.deviceSpec = deviceSpec;
    }

    public Integer getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(Integer deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationRef() {
        return locationRef;
    }

    public void setLocationRef(String locationRef) {
        this.locationRef = locationRef;
    }

    public String getLocationRefName() {
        return locationRefName;
    }

    public void setLocationRefName(String locationRefName) {
        this.locationRefName = locationRefName;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaPath() {
        return areaPath;
    }

    public void setAreaPath(String areaPath) {
        this.areaPath = areaPath;
    }

    public String getRefFacs() {
        return refFacs;
    }

    public void setRefFacs(String refFacs) {
        this.refFacs = refFacs;
    }

    public String getRefFacsName() {
        return refFacsName;
    }

    public void setRefFacsName(String refFacsName) {
        this.refFacsName = refFacsName;
    }

    public String getSubsystemCode() {
        return subsystemCode;
    }

    public void setSubsystemCode(String subsystemCode) {
        this.subsystemCode = subsystemCode;
    }

    public String getSubsystemName() {
        return subsystemName;
    }

    public void setSubsystemName(String subsystemName) {
        this.subsystemName = subsystemName;
    }

    public String getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public String getDeviceModelName() {
        return deviceModelName;
    }

    public void setDeviceModelName(String deviceModelName) {
        this.deviceModelName = deviceModelName;
    }

    public String getPsCode() {
        return psCode;
    }

    public void setPsCode(String psCode) {
        this.psCode = psCode;
    }

    public String getPsName() {
        return psName;
    }

    public void setPsName(String psName) {
        this.psName = psName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceCode", getDeviceCode())
            .append("deviceName", getDeviceName())
            .append("deviceCategory", getDeviceCategory())
            .append("deviceCategoryName", getDeviceCategoryName())
            .append("deviceBrand", getDeviceBrand())
            .append("deviceSpec", getDeviceSpec())
            .append("deviceStatus", getDeviceStatus())
            .append("location", getLocation())
            .append("locationRef", getLocationRef())
            .append("locationRefName", getLocationRefName())
            .append("areaCode", getAreaCode())
            .append("deviceModel", getDeviceModel())
            .append("deviceModelName", getDeviceModelName())
            .append("refFacs", getRefFacs())
            .append("refFacsName", getRefFacsName())
            .append("subsystemCode", getSubsystemCode())
            .append("subsystemName", getSubsystemName())
            .append("psCode", getPsCode())
            .append("psName", getPsName()).toString();
    }
}
